Skip to main content
POST
/
guardrails
/
{id}
/
assignments
/
keys
/
remove
Bulk unassign keys from a guardrail
curl --request POST \
  --url https://openrouter.ai/api/v1/guardrails/{id}/assignments/keys/remove \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "key_hashes": [
    "c56454edb818d6b14bc0d61c46025f1450b0f4012d12304ab40aacb519fcbc93"
  ]
}
'
import requests

url = "https://openrouter.ai/api/v1/guardrails/{id}/assignments/keys/remove"

payload = { "key_hashes": ["c56454edb818d6b14bc0d61c46025f1450b0f4012d12304ab40aacb519fcbc93"] }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    key_hashes: ['c56454edb818d6b14bc0d61c46025f1450b0f4012d12304ab40aacb519fcbc93']
  })
};

fetch('https://openrouter.ai/api/v1/guardrails/{id}/assignments/keys/remove', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "unassigned_count": 3
}
{
  "error": {
    "code": 400,
    "message": "Invalid request parameters"
  }
}
{
  "error": {
    "code": 401,
    "message": "Missing Authentication header"
  }
}
{
  "error": {
    "code": 404,
    "message": "Resource not found"
  }
}
{
  "error": {
    "code": 500,
    "message": "Internal Server Error"
  }
}

Authorizations

Authorization
string
header
required

API key as bearer token in Authorization header

Path Parameters

id
string<uuid>
required

The unique identifier of the guardrail

Example:

"550e8400-e29b-41d4-a716-446655440000"

Body

application/json
key_hashes
string[]
required

Array of API key hashes to unassign from the guardrail

Minimum array length: 1
Minimum string length: 1
Example:
[
  "c56454edb818d6b14bc0d61c46025f1450b0f4012d12304ab40aacb519fcbc93"
]

Response

Unassignment result

unassigned_count
integer
required

Number of keys successfully unassigned

Example:

3